/* ==========================================
 * Form Vaildation
 * Author: Francis Cocharrua @ http://www.javascriptsource.com/forms/validate-e-mail.html
 *         && Jesse McCarthy
 * Purpose: To vaildate email addresses
 ============================================*/

/* This script and many more are available free online at
The JavaScript Source :: http://www.javascriptsource.com
Created by: Francis Cocharrua :: http://scripts.franciscocharrua.com/ */

function vaildCharacters(string) {
    
    if(string === null || string === '') return false;
    
    // Iterate through string and compare with vaild characters
    var vaildChars = '1234567890-_.^~@abcdefghijklmnopqrstuvwxyz';
    string = string.toLowerCase();
    
    for(var i = 0; i < string.length; i++) {
        var char = string.charAt(i);
        if(vaildChars.indexOf(char) === -1) return false;
    }
    
    return true;
    
}


function vaildDomain(string){
    
    var atSign = string.indexOf('@'),
        period = string.indexOf('.');
        
    // Check for vaild domain
    if(atSign <= 0 ||          // Begins or does not contain at sign
       period === -1 ||        // Does not contain a period
       period <= atSign + 1 || // Period is before or immediately after at sign
       period === string.length - 2)  // No domain Registry
            return false;   

    // Domain is vaild
    return true;

}


function validEmailAddress(emailAddress) {
    
    if(!vaildCharacters(emailAddress) ||
       !vaildDomain(emailAddress)) 
            return false;

    return true;
    
}


function updateEmailForm(){
    var email = mail.value;
    if(!validEmailAddress(email)) mail.style.borderColor = 'red';
    else                          mail.style.borderColor = 'blue';
}


var mail = document.getElementsByName('mail')[0];
mail.addEventListener('blur',updateEmailForm);

