/* ====================================
 * Title: Game Loop
 * Author: Jesse McCarthy
 * Purpose: Game Loop of Infinite Skies
 ======================================*/


/** Main Loop */
function main(){

	if( state === 'game' ) game.update();
	else                   game.background();

}


/** Start Game */
function start(){

    global.game = new Game();
    loop = setInterval ( main, 1000/fps );
	Menu();

}


/** Reset Game */
function reset(){

	delete global.game;
	global.game = new Game();
	state = 'game';

}


/** Return to Main Menu */
function mainMenu(){
	state = 'pre-game';
	global.game = new Game();
	Menu();
}
