<?php include('detectDevice.php'); ?>

<!doctype html>
<html>

<head>

	<title>Jm Games</title>

	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
	<link rel="icon" href="favicon.ico" >
    <link href="css/global.css" rel='stylesheet' type='text/css'>

	<?php
		echo "<link href='css/desktop-menu.css' rel='stylesheet' type='text/css'>";
		echo "<link href='css/desktop.css' rel='stylesheet' type='text/css'>"; ?>

</head>

<body style='display : none;'>


	<!-- MENU -->

	<?php include('menu.html'); ?>


	<!-- MAIN CONTENT -->

	<div id='main'>
	    <div id="banner">
	        <a href="play/infinite-skies/">
	            <canvas id="inf-skies-banner"></canvas>
	            <h1 class='banner-text'><span>Featured Game:<br>Infinite Skies</span></h1>
	        </a>
	    </div>
	    <div class='tiles'>
	        <div class='tile'>
				<a href='learn/parallax/'>
		            <canvas id='parallax-tile'></canvas>
					<h1 class='banner-text'><span>Featured Tutorial:<br>How To Parallax</span></h1>
				</a>
			</div>
	        <div class='tile'>
				<div class='center'>
					<a href='contact/'>
						<img src='img/mail.png'></img>
					</a>
				</div>
				<a href='contact/'>
					<h1 class='banner-text'><span>Contact The Author:<br>Jesse McCarthy</span></h1>
				</a>
	        </div>
	    </div>
	</div>


    <!-- FOOTER -->

    <footer>
		Last modified December 30<sup>th</sup> 2016, by Jesse McCarthy
	</footer>


    <!-- SCRIPTS -->

	<script src='js/jquery-min.js' type='text/javascript'></script>
	<script src='js/util.js' type='text/javascript'></script>
	<script src='js/canvas-rendering.js' type='text/javascript'></script>
	<script src='js/infinite-skies-banner.js' type='text/javascript'></script>
	<script src='js/parallax-canvas.js' type='text/javascript'></script>
    <?php echo "<script src='js/desktop.js' type='text/javascript'></script>" ?>

</body>
</html>
