<?php include('../detectDevice.php')?>

<!doctype html>
<html>
<head>
    <title>Play - Jm Games</title>
	<base href='../'>
    <link rel="icon" href="favicon.ico" >

    <link href="css/global.css" rel="stylesheet" type="text/css">

	<?php
		echo "<link href='css/desktop-menu.css' rel='stylesheet' type='text/css'>";
		echo "<link href='play/css/desktop.css' rel='stylesheet' type='text/css'>"; ?>

</head>

<body>

	<!-- MENU -->

    <?php include('../menu.html') ?>


	<!-- TILES -->
    <div class='row'>
    	<div class="tile">
    		<a href="play/scalar-star/">
                <img alt="Image of a Star" src="img/scalar_star_tile.png"/>
                <br>
				<span class='button'>The Scalar Star</span>
            </a>
        </div>
        <div class="tile">
    		<a href="play/infinite-skies/">
                <canvas id='inf-skies-tile'></canvas>
                <br>
				<span class='button'>Infinite Skies</span>
            </a>
        </div>
    </div>


    <!-- FOOTER -->

    <footer>
		Last modified December 29<sup>th</sup> 2016, by Jesse McCarthy
    </footer>


    <script src='js/util.js'></script>
    <script src='js/canvas-rendering.js'></script>
    <script src='play/js/infinite-skies-tile.js'></script>

</body>
</html>
