
window.onload = InfiniteSkiesTile;

function InfiniteSkiesTile(){

    // set up canvas element
    var tile = document.getElementById('inf-skies-tile'),
        context = tile.getContext('2d');

    tile.width = 80;
    tile.height = 80;

    // set up animation
    var sprites = new ImgCache(['img/ss_banner/star.png']),
        starImg = new Img( context, sprites.index.star );

    sprites.onload = startAnimation;

    function startAnimation(){

        setInterval( function(){

            context.clearRect( 0, 0, tile.width, tile.height);

            starImg.draw({
                x : tile.width / 2,
                y : tile.height / 2,
                w : 32, h : 32,
                rotateSpd : 20,
                centerOrigin : true
            });

        }, 1000 / 30 );

    }
}
